[开发工具]

keil有什么办法能固定用V6编译器吗?

[复制链接]
865|24
手机看帖
扫描二维码
随时随地手机跟帖
Undshing|  楼主 | 2023-8-14 22:41 | 显示全部楼层 |阅读模式
每次cubeMX生成下都要重新切换

使用特权

评论回复
评论
17716634960 2023-8-24 22:48 回复TA
同问 
Henryko| | 2023-8-19 23:43 | 显示全部楼层
目前这个我也没找到什么好方法

使用特权

评论回复
MessageRing| | 2023-8-23 21:32 | 显示全部楼层
你把v5编译器卸载了试试

使用特权

评论回复
Undshing|  楼主 | 2023-8-24 21:53 | 显示全部楼层
MessageRing 发表于 2023-8-23 21:32
你把v5编译器卸载了试试

直接从根源解决问题是吧

使用特权

评论回复
daichaodai| | 2023-8-26 15:07 | 显示全部楼层
直接降KEIL版本不行?

使用特权

评论回复
zyf部长| | 2023-8-27 12:08 | 显示全部楼层
编译器重装下

使用特权

评论回复
AIsignel| | 2023-8-28 13:37 | 显示全部楼层
估计不好搞,除非你修改CubeMX的生成脚本。

使用特权

评论回复
鹿鼎计| | 2023-8-28 13:37 | 显示全部楼层
为啥一定要用V6?有什么好处嘛?

使用特权

评论回复
理想阳| | 2023-8-28 13:38 | 显示全部楼层
这个应该是配置不了,可以给ST提一下,让他们加上这个选择编译器得功能。

使用特权

评论回复
Mowergy| | 2023-9-2 19:31 | 显示全部楼层
编译器重装试试

使用特权

评论回复
Stahan| | 2023-9-2 21:02 | 显示全部楼层
鹿鼎计 发表于 2023-8-28 13:37
为啥一定要用V6?有什么好处嘛?

好像是有些库直接不支持v5编译器了

使用特权

评论回复
Jacquetry| | 2023-9-4 21:59 | 显示全部楼层
我记得之前好像是不默认安装v5的啊

使用特权

评论回复
Henryko| | 2023-9-11 23:04 | 显示全部楼层
不行,我每次也得切换一下

使用特权

评论回复
香水城| | 2023-9-14 09:54 | 显示全部楼层
鹿鼎计 发表于 2023-8-28 13:37
为啥一定要用V6?有什么好处嘛?

编译快多了。尤其针对H7系列 F7系列的工程。

使用特权

评论回复
MessageRing| | 2023-9-14 23:09 | 显示全部楼层
卸载了V5也不行啊

使用特权

评论回复
中国龙芯CDX| | 2024-4-29 08:23 | 显示全部楼层
ST有自己的IDE,也可以使用的,快捷方便

使用特权

评论回复
芯路例程| | 2024-4-30 11:38 | 显示全部楼层
keil版本更新一下,就不会存在V5编译器了。

使用特权

评论回复
AIsignel| | 2024-4-30 12:16 | 显示全部楼层
这个问题确实挺麻烦的。希望ST官方能优化优化。

使用特权

评论回复
lzmm| | 2024-5-1 20:23 | 显示全部楼层
在“Toolchain”选项卡下,选择“ARM Compiler 6 (Keil)”作为编译器。

使用特权

评论回复
chenci2013| | 2024-5-6 22:24 | 显示全部楼层
安装的Keil版本支持ARM Compiler 6

使用特权

评论回复
发新帖 我要提问
您需要登录后才可以回帖 登录 | 注册

本版积分规则

89

主题

1716

帖子

1

粉丝